%define package freemind
%define version 1.0.0
%define release 1

Name:		wpkg-%{package}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos

Requires:	ipasserelle-gp
Requires:	wpkg-jre

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/

%clean
/bin/rm -rf %{buildroot}

%changelog
* Tue Oct 29 2013 Daniel Berteaud <daniel@firewall-services.com> - 1.0.0-1
- update to FreeMind 1.0.0

* Tue Nov 13 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.9.0-2
- Depends on JRE instead of JRE6

* Fri Oct 5 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.9.0-1
- initial release with Freemind 0.9.0

